.header-menu-title,
.header-menu-list-p li,
.language-box li,
.footer-list li a,
.footer-menu li a,
.contact-info li a,
.sales-list li a{
	transition: all .4s linear;
}



.language-box li:hover,
.footer-list li a:hover,
.footer-menu li a:hover,
.contact-info li a:hover,
.sales-list li a:hover{
	color: #a028f5;
}


/*index-產品*/
.index-products-mask{
	width: 100%;
	height: calc( 100% - 120px);
	position: absolute;
	top: -100%;
	left: 0;
	background-color: rgba(0,0,0,0.2);
	transition: all .4s linear;
	display: -webkit-flex;
    display:         flex;
    -webkit-align-items: center;
          align-items: center;
    -webkit-justify-content: center;
          justify-content: center;
}
.index-products-list:hover .index-products-mask{
	top: 0;
	transition: all .4s ease-out;
}
.index-products-list{
	transition: all .4s linear;
}

.header-menu-list a:hover{
	color: #FFF;
}
.index-products-mask-icon{
	width: 70px;
	opacity: 0.7;
}
.index-products-text{
	height: 25px;
	transition: all .4s linear;

}
.index-products-list:hover .index-products-text{
	height: 150px;
	transition: all .4s ease-in;
}
.index-products-list:hover .index-prodcuts-text-title:after{
	transform: scaleX(1);
	transition-delay: .5s;
}

.index-prodcuts-text-title:after{
	content: '';
	width: 150px;
	height: 2px;
	background-color: #FFF;
	display: block;
	position: absolute;
	left: calc(50% - 75px);
	bottom: -10px;
	transition: all .4s linear;
	transform: scaleX(0);
	transform-origin: center;

}
.index-prodcuts-text-p{
	width: 90%;
	display: block;
	margin: 0 auto;
	margin-top: 10px;
	padding: 10px;
	font-size: 15px;
	text-align: justify;
	opacity: 0;
	transition: all .4s linear;
	overflow: hidden;
    height: 90px;

}
.index-products-list:hover .index-prodcuts-text-p{
	
	color: #FFF;
	transition: all .6s ease-in;
	opacity: 1;
	transition-delay: .7s;
}
.index-products-img img,
.news-list-img{
	transition: all .4s linear;
}
.index-products-list:hover .index-products-img img{
	transform: scale(1.05);
	transition: all .4s ease-in;
}
.header-menu-list:hover .header-menu-title,
.header-menu-title.active{
	color: #7b35c5;
}
.header-menu-list:hover .header-menu-contact,
.header-menu-contact.active{
	color: #7b35c5;
}
/*index-news*/
.index-news-list:hover .index-news-img,
.news-list:hover .news-list-img{
	transform: scale(1.05);
	transition: all .4s ease-in;
}

.index-news-list:hover .index-news-mask-icon,
.news-list:hover .index-news-mask-icon{
	top: 0;
}

.index-news-mask-icon{
	width: 100%;
	height: 100%;
	display: flex;
	display: -webkit-flex;
  	display:         flex;
    -webkit-align-items: center;
          align-items: center;
    -webkit-justify-content: center;
          justify-content: center;
   	overflow: hidden;
    position: absolute;
    background-color: rgba(0,0,0,0.3);
}

.index-news-mask-icon img{
	width: 20%;
}
.index-products-more,
.index-products-more:hover p{
	transition: all .4s linear;
}
.index-products-more:hover{
	background-color: #2d126f;
}
.index-products-more:hover p{
	color: #FFF;
}

.index-news-list:hover .index-news-title,
.news-list:hover .news-list-title{
	color: #c91f6b;
}
.index-news-list:hover .index-more-box:after,
.news-list:hover .index-more-box:after
{
	transform: scale(0);
	transition: all .4s linear;
	transform-origin: center;
}
.index-more-box:after{
	transform: scale(1);
}
.index-more-box{
	border: 2px solid #FFF;
	border-radius: 20px;
	box-sizing: border-box;

}
.index-news-list:hover .index-more-box,
.news-list:hover .index-more-box{
	border: 2px solid #2d126f;
	transition: all 0s ease-in;

}
.index-news-list:hover .index-more-box a,
.news-list:hover .index-more-box a{
	color: #2d126f;
	transition: all .4s linear;
}

.header-menu-list:hover .header-menu-list-p{

	transform: scaleY(1);
}
.header-menu-list:hover .header-menu-list-p li{
	height: 100%;
	padding: 10px 0;
	transition: all .4s linear;
}
.header-menu-list:hover .header-menu-list-p{
	display: block;
}
.header-menu-list-p li:hover{
	background-color: #2d126e;
	transition: all .4s linear;
}
.header-menu-list-p li:hover a{
	color: #FFF;
}
.main-list-box li:hover,
.main-list-box li.active{
	color: #7b35c5;
}

.products-list:hover .products-list-img img{
    top: 0;
    transition: all .3s ease-out;
}
.products-list:hover .products-mask{
	top: 0;
    transition: all .3s ease-out;
}
.products-list:hover .prodcuts-text-title:after {
    transform: scaleX(1);
    transition-delay: .4s;
}
.products-list:hover .products-text {
    height: 92px;
    transition: all .3s ease-in;
}

.products-list:hover .prodcuts-text-p{
	color: #FFF;
	height: 45px;
	transition-delay: .6s;
    overflow: hidden;
    transition: all .6s ease-in;
    opacity: 1;
}
.news-back:hover{
	background-color:#a028f5;
	color: #FFF;
}
.news-back:hover:before{
	left:-5px;
	background-color:#a028f5;
}

.contact-list li.button input:hover{
	background-color: #a028f5;
	 border: 1px solid #a028f5;
}
.index-news-list:hover .index-news-mask-icon img,
.news-list:hover .index-news-mask-icon img
{
	transform: scale(1);
	transition: .5s all linear;
	
}
.index-news-mask-icon img{
	transform: scale(0.3);
	transition: 1s all linear;
}